NamespaceAwareHashMap (Groovy 2.4.12)
Date: 2017-06-21

groovy.util.slurpersupport

## Class NamespaceAwareHashMap

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<String,String>
    - - groovy.util.slurpersupport.NamespaceAwareHashMap

- All Implemented Interfaces:
    Serializable, Cloneable, Map<String,String>

      public class NamespaceAwareHashMap
      extends HashMap<String,String>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamespaceAwareHashMap()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsKey(Object key)`
    `String` | `get(Object key)`
    `Map` | `getNamespaceTagHints()`
    `String` | `put(String key, String value)`
    `void` | `putAll(Map<? extends String,? extends String> m)`
    `String` | `remove(Object key)`
    `void` | `setNamespaceTagHints(Map namespaceTagHints)`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsValue, entrySet, forEach, getOrDefault, isEmpty, keySet, merge, putIfAbsent, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### NamespaceAwareHashMap

          public NamespaceAwareHashMap()

  - ### Method Detail

    - #### setNamespaceTagHints

          public void setNamespaceTagHints(Map namespaceTagHints)

    - #### getNamespaceTagHints

          public Map getNamespaceTagHints()

    - #### get

          public String get(Object key)

      Specified by:
        `get` in interface `Map<String,String>`
      Overrides:
        `get` in class `HashMap<String,String>`

    - #### remove

          public String remove(Object key)

      Specified by:
        `remove` in interface `Map<String,String>`
      Overrides:
        `remove` in class `HashMap<String,String>`

    - #### containsKey

          public boolean containsKey(Object key)

      Specified by:
        `containsKey` in interface `Map<String,String>`
      Overrides:
        `containsKey` in class `HashMap<String,String>`

    - #### put

          public String put(String key,
                            String value)

      Specified by:
        `put` in interface `Map<String,String>`
      Overrides:
        `put` in class `HashMap<String,String>`

    - #### putAll

          public void putAll(Map<? extends String,? extends String> m)

      Specified by:
        `putAll` in interface `Map<String,String>`
      Overrides:
        `putAll` in class `HashMap<String,String>`